Subject: Re: bug#24901: Caught mistake in elec-pair.el patch

From: [email-masked] (João Távora)
Date: Thu, 17 Aug 2017 17:57:19 +0100

Noam Postavsky <[email-masked]> writes:

> On Thu, Aug 17, 2017 at 11:36 AM, João Távora <[email-masked]> wrote:
>> Eli Zaretskii <[email-masked]> writes:
>>
>>>> Seems to be there for a reason, unfortunately. It's forward
>>>> referenced in electric.el if I'm not mistaken.
>>>
>>> I don't understand this: electric.el is preloaded, so why would it
>>> need the autoload?
>
> I think you have the direction backwards: electric.el uses the
> autoloaded variable *from* elec-pair.el.

You mean Eli has the direction backwards. I don't have a clue :-)

> As far as I know, the only way to be sure of testing all dependencies
> is deleting all elc files, i.e., a full bootstrap minus the C
> compilation (using ccache can help automate the "minus the C
> compilation" part).

So is 'find . -iname "*.elc" | xargs rm -f' enough? What's ccache?

>> And then there's the problem Noam mentioned in elisp-mode.el.
>
> The elisp-mode.el problem is what causes the align.elc failure: the
> byte compiler uses elisp-mode.

Does this mean you sign off on both patches?

João